<template>
  <label class="text-left">{{title}}</label>
  <input
    v-model="inputValue"
    class="p-2 mb-4"
    :type="type"
    @input="$emit('update:modelValue', $event.target.value)"
    :placeholder="placeholder"
  />
</template>

<script lang="ts">
import { ref } from 'vue';

export default {
  name: 'JInput',
  props: {
    title: String,
    placeholder: String,
    type: String
  },
  setup() {
    let inputValue = ref('')
    return {
      inputValue
    }
  }
}
</script>

<style lang="sass" scoped>
@import '../../shared/sass/colors.sass'
input
  border: none
  border-bottom: 1px solid $gray
  border-width: 0 0 1px
  &:focus
    outline: none
    border-color: $blue
</style>